com.io7m.jstructural.core

## Class SFormalItemList

- java.lang.Object
- - com.io7m.jstructural.core.SFormalItemList

- All Implemented Interfaces:
    SFormalItemContent, SParagraphContent

      @Immutable
      public final class SFormalItemList
      extends Object
      implements SFormalItemContent, SParagraphContent

  A list of formal items of a given kind.

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `<A> A` | `formalItemContentAccept(SFormalItemContentVisitor<A> v)` Accept a formal item content visitor.
    `static SFormalItemList` | `formalItemList(String kind)` Construct a formal item list.
    `String` | `getKind()`
    `int` | `hashCode()`
    `<A> A` | `paragraphContentAccept(SParagraphContentVisitor<A> v)` Accept a paragraph content visitor.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### formalItemList

          public static SFormalItemList formalItemList(String kind)

      Construct a formal item list.
      Parameters:
        `kind` - The kind of formal items
      Returns:
        A new formal item list

    - #### equals

          public boolean equals(@Nullable
                                Object obj)

      Overrides:
        `equals` in class `Object`

    - #### formalItemContentAccept

          public <A> A formalItemContentAccept(SFormalItemContentVisitor<A> v)
                                        throws Exception

      Description copied from interface: `SFormalItemContent`
      Accept a formal item content visitor.
      Specified by:
        `formalItemContentAccept` in interface `SFormalItemContent`
      Type Parameters:
        `A` - The type of values returned by the visitor
      Parameters:
        `v` - The visitor
      Returns:
        The value returned by the visitor.
      Throws:
        `Exception` - If the visitor raises and `Exception`

    - #### getKind

          public String getKind()

      Returns:
        The kind of formal items

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### paragraphContentAccept

          public <A> A paragraphContentAccept(SParagraphContentVisitor<A> v)
                                       throws Exception

      Description copied from interface: `SParagraphContent`
      Accept a paragraph content visitor.
      Specified by:
        `paragraphContentAccept` in interface `SParagraphContent`
      Type Parameters:
        `A` - The type of values returned by the visitor
      Parameters:
        `v` - The visitor
      Returns:
        The value returned by the visitor.
      Throws:
        `Exception` - If the visitor raises and `Exception`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2015 <code@io7m.com> http://io7m.com